<?php include(get_template_directory().'/ttk_child.php');  // Do not edit this line
/*
Each option replaces a corresponding option on another Stallion Options page.

There are four parts to each replacement option, the first three are required for a new option, the fourth is required to replace a core Stallion function within template files.

Above each option part (below) is a key to which option is replaced with the format.

Name_Of_Function - Stallion Options Page - What The Setting Controls

More options can be added, all Stallion options are listed in the file.
/stallion-seo-theme/mydefaults/stallion_defaults.php
The file includes a description of what each function does etc...

Most Stallion core option functions start st_ to keep things simple I'm using stchild_for the replacement options and stct_ for the fourth part of the code. If you plan to release your Stallion Child Theme to the public I suggest choosing a unique prefix so it's highly unlikely to clash with future Stallion updates. Where I use stct_ you could use stctbob_ (STallion Child Theme by Bob).
*/

/*
Code Part ONE - Stallion Child Theme Options - What you see on the Child Theme Options page

There are four types of options, Separator (used to separate options), dropdown selection (drop), radio selection (radio) and an entry form for a user input like the size of an image set. I only used dropdown selection boxes below, so have an example radio and form box below that is commented out.

For drop and radio selections it is recommended to have the first option

|stdefaults|Use Original Options

Which I use in part FOUR of the code to determine if to use the child theme setting or the original Stallion setting.
*/
ttk_child('st_op_child',array( // Do not edit this line
/*
A separator is used to add a label above or below an option. separators are optional. You can call a separator anything you like, be sure to make them all unique: separator1, separator2... HTML for example links to tutorials can be added. For example separator1 adds a heading with a link back to the child themes page.
*/

'separator1' => '<h3><u>Stallion Business Child Theme Options</u></h3>{separator}##<a href="http://www.stallion-seo-theme.com/stallion-wordpress-child-theme-business-niche/" target="_blank">Stallion Business Child Theme Support</a><br />Below you will find options that generally override main Stallion Theme Options. If you set "Stallion Theme Colour Scheme" under "Stallion >> Colour Options" to "Stallion Delicate" and "Stallion Theme Colour Scheme" below to "Business", this site will show the "Business" colour scheme. Almost all the options below can also be over wrote on a post by post basis (by editing a post or page) allowing you to use both original Stallion options and child theme options on the same site.<br /><br />Example Options have been left available for webmasters to modify for an easier way to add custom layouts, colour schemes, image sets etc... IE the "Example Header Set" images are located under /wp-content/themes/stallion-child-business/headers/example-st/ you could replace them with your custom images. The example image sets and example layout/colour CSS files are copied from the main Stallion Theme folder so are not new.',

# st_sidebar_lo - Layout Options - Sidebar Layout
'separator2' => '<h3><u>Child Layouts</u></h3>{separator}##Override Stallion Layout Option - No New Layouts',
'stchild_sidebar_lo' => '<strong>Sidebar Layout</strong> {drop|stdefaults|Use Original Options|example-st|Example Layout} ##<br />Choose a Stallion Child Theme Layout',

# st_themecolor - Colours Options - Stallion Theme Colour Scheme
'separator3' => '<h3><u>Child Colour Schemes</u></h3>{separator}##Override Stallion Colour Option',
'stchild_themecolor' => '<strong>Stallion Theme Colour Scheme</strong> {drop|stdefaults|Use Original Options|example-st|Example Colour|business-st|Business} ##<br />Choose a Stallion Child Theme colour.',

# st_header_bg_img - Colours Options - Original Stallion Header Area Header Image
'separator4' => '<h3><u>Child Original Stallion Header Area Header Image</u></h3>{separator}##Override Stallion Colour Option',
'stchild_header_bg_img' => '<strong>Original Stallion Header Area Header Image</strong> {drop|stdefaults|Use Original Options|example-st.jpg|Example Header|business1-st.jpg|Business 1|business2-st.jpg|Business 2|business3-st.jpg|Business 3|business4-st.jpg|Business 4|business5-st.jpg|Business 5} ##<br />Choose a Stallion Child Theme Original Stallion Header Area Header Image<br /><br />',

# st_header_2011_images - Colours Options - Stallion 2011 Header Image Sets
'separator5' => '<h3><u>Child Stallion 2011 Header Images</u></h3>{separator}##Override Stallion Colour Option',
'stchild_header_2011_images' => '<strong>Stallion 2011 Header Image Sets</strong> {drop|stdefaults|Use Original Options|example-st|Example Header Set|business-st|Business} ##<br />Choose a Stallion Child Theme 2011 Header Image Set above and choose further options at <a href="themes.php?page=custom-header">Appearance >> Header</a>. "Activate Stallion 2011 Header Area" must also be ticked under Stallion Layout Options.',

# st_thumb200_set - Colours Options - Thumbnail Set
'separator6' => '<h3><u>Child 200X200 Random Thumbnail Images</u></h3>{separator}##Override Stallion Colour Option',
'stchild_thumb200_set' => '<strong>Thumbnail Set</strong> {drop|stdefaults|Use Original Options|example-st|Example Thumbnail Set|business-st|Business} ##<br />Choose a Stallion Child Theme Thumbnail Set<br /><br />',
# Very Important : Please replicate thumbnail sets above in the last function "Stallion SEO Posts Widgets Child Theme Thumbnail List" at the bottom of this file.

# st_banners_set - Colours Options - Top Banner Set
'separator7' => '<h3><u>Child Top Banner Set</u></h3>{separator}##Override Stallion Colour Option',
'stchild_banners_set' => '<strong>Top Banner Set</strong> {drop|stdefaults|Use Original Options|example-st|Example Banner Set|business-st|Business} ##<br />Choose a Stallion Child Theme Top Banner Set<br /><br />',

# st_banners_set_mid - Colours Options - Middle Banner Set
'separator8' => '<h3><u>Child Middle Banner Set</u></h3>{separator}##Override Stallion Colour Option',
'stchild_banners_set_mid' => '<strong>Middle Banner Set</strong> {drop|stdefaults|Use Original Options|example-st|Example Banner Set|business-st|Business} ##<br />Choose a Stallion Child Theme Middle Banner Set<br /><br />',

/* Example function commented out start
'stchild_radio_example' => '<strong>Example Radio</strong> {radio|stdefaults|Use Original Options|on|Something ON|off|Something OFF} ##<br />This is example instructions.<br />',
# Example function commented out end */

/* Example function commented out start
'stchild_form_example' => '<strong>Example Form</strong> ## <br />This is example instructions, there are no other settings',
# Example function commented out end */

),  // Do not edit this line
	__FILE__  // Do not edit this line
);  // Do not edit this line

/*
Code Part TWO - Child Theme Functions

The code below creates a unique function for each option above. They are technically optional but it's easier to work with a function like "stchild_sidebar_lo()" than use the format "$st_op_child->option['stchild_sidebar_lo'];" within template files.
*/

# st_sidebar_lo - Layout Options - Sidebar Layout
function stchild_sidebar_lo() {
global $st_op_child;
return $st_op_child->option['stchild_sidebar_lo'];
}

# st_themecolor - Colours Options - Stallion Theme Colour Scheme
function stchild_themecolor() {
global $st_op_child;
return $st_op_child->option['stchild_themecolor'];
}

# st_header_bg_img - Colours Options - Original Stallion Header Area Header Image
function stchild_header_bg_img() {
global $st_op_child;
return $st_op_child->option['stchild_header_bg_img'];
}

# st_header_2011_images - Colours Options - Stallion 2011 Header Image Sets
function stchild_header_2011_images() {
global $st_op_child;
return $st_op_child->option['stchild_header_2011_images'];
}

# st_thumb200_set - Colours Options - Thumbnail Set
function stchild_thumb200_set() {
global $st_op_child;
return $st_op_child->option['stchild_thumb200_set'];
}

# st_banners_set - Colours Options - Top Banner Set
function stchild_banners_set() {
global $st_op_child;
return $st_op_child->option['stchild_banners_set'];
}

# st_banners_set_mid - Colours Options - Middle Banner Set
function stchild_banners_set_mid() {
global $st_op_child;
return $st_op_child->option['stchild_banners_set_mid'];
}

/* Example function commented out start
# stchild_radio_example - A new example function using stchild_radio_example from part one
function stchild_radio_example() {
global $st_op_child;
return $st_op_child->option['stchild_radio_example'];
}
# Example function commented out end */


/*
Code Part THREE - Child Theme Defaults, set when the child theme is activated or defaults are reset.

I set all defaults to stdefaults which is off (use Stallion core options). If you use the same concept be sure to add an stdefaults option

|stdefaults|Use Original Options

to each option you add in part one. This results in a drop down or radio selector called "Use Original Options" and when selected the option is set to "stdefaults" in the database.

You can populate the database with your preferred settings, for example

$set_defaultschild['stchild_themecolor'] = 'mynewcolour';

would change the theme colour to "mynewcolour" upon child theme activation, but this forces users to turn settings off if they don't want them all on, best to keep defaults as "stdefaults".
*/

function setdefaultschild() {  // Do not edit this line

# st_sidebar_lo - Layout Options - Sidebar Layout
$set_defaultschild['stchild_themecolor'] = 'stdefaults';

# st_themecolor - Colours Options - Stallion Theme Colour Scheme
$set_defaultschild['stchild_sidebar_lo'] = 'stdefaults';

# st_header_bg_img - Colours Options - Original Stallion Header Area Header Image
$set_defaultschild['stchild_header_bg_img'] = 'stdefaults';

# st_header_2011_images - Colours Options - Stallion 2011 Header Image Sets
$set_defaultschild['stchild_header_2011_images'] = 'stdefaults';

# st_thumb200_set - Colours Options - Thumbnail Set
$set_defaultschild['stchild_thumb200_set'] = 'stdefaults';

# st_banners_set - Colours Options - Top Banner Set
$set_defaultschild['stchild_banners_set'] = 'stdefaults';

# st_banners_set_mid - Colours Options - Middle Banner Set
$set_defaultschild['stchild_banners_set_mid'] = 'stdefaults';

/* Example function commented out start
# stchild_radio_example - A new example function using stchild_radio_example from part one and two
$set_defaultschild['stchild_radio_example'] = 'stdefaults';

# To use this new function you would remove the commenting out around the three sets of code and use
# stchild_radio_example()  within child theme template (php) files.
# Example function commented out end */

return $set_defaultschild; } // Do not edit this line

if (!$st_op_child->is_installed()) { global $st_op_child; $set_defaults = setdefaultschild(); $result = $st_op_child->store_options($set_defaults); } // Do not edit this line
?>
<?php
/*
Code Part FOUR - Child Theme Replacement Functions.

Below are child theme functions added to replace core Stallion functions.
For example the child stct_themecolor function is used to replace the core st_themecolor setting (selects the theme colour on the Stallion Colour Options page).

Core st_themecolor is replaced by Child stchild_themecolor which is a setting added in the code above. The function below stct_themecolor has been used to replace st_themecolor within the theme template files. The colour function was used in three template files: header.php, header-2.php and /layout/searchform.php

In searchform.php the original code was

<?php if(st_search_form_hide()=='1'){ ?><p><input name="submit" type="image" src="<?php if (file_exists(STYLESHEETPATH . '/colors/images/' . st_themecolor() . '/search.gif')) {bloginfo('stylesheet_directory');} else {bloginfo('template_url'); } ?><?php echo('/colors/images/' . st_themecolor() . '/search.gif'); ?>" alt="<?php echo st_lang_search(); ?> <?php bloginfo('name'); ?>" /></p><?php } ?>

the new code

<?php if(st_search_form_hide()=='1'){ ?><p><input name="submit" type="image" src="<?php if (file_exists(STYLESHEETPATH . '/colors/images/' . stct_themecolor() . '/search.gif')) {bloginfo('stylesheet_directory');} else {bloginfo('template_url'); } ?><?php echo('/colors/images/' . stct_themecolor() . '/search.gif'); ?>" alt="<?php echo st_lang_search(); ?> <?php bloginfo('name'); ?>" /></p><?php } ?>

st_themecolor is replaced with stct_themecolor twice

This is about as complex as it gets, because this code is looking for the search.gif file in the child themes directory under /colors/images/ (we don't want a Child theme loading non existent files) it uses "file_exists(STYLESHEETPATH". This looks within the child theme directory (the STYLESHEETPATH) for the file, if it finds the file, it's used, if not it uses the core Stallion file (via bloginfo('template_url');).

The above is about replacing current core Stallion options, a child theme can be used to add new features. Lets say you found a great plugin or code snippit you want bundled with a child theme and you want it so it won't be loaded by default (generally not a good idea to force new features on users). There's loads of ways to add the code, I tend to put plugin type code under the directory /plugins/ and include it via the file /child-theme-directory/functions-child.php file.

For example using one of the commented out example functions in the first three code parts we could check if stchild_radio_example is set to "on" (Something ON) and if it is include a php file that we placed in the /child-theme-directory/plugins/ folder called awesomecode.php using code like this.

<?php if(stchild_radio_example()=='on'){ ?>
<?php include_once (STYLESHEETPATH . "/plugins/awesomecode.php"); ?>
<?php } ?>

Any code within /child-theme-directory/plugins/awesomecode.php would be run by the child theme.

I use this format a lot in Stallion, see the file /stallion-seo-theme/functionsplus.php so if a theme user doesn't activate a feature via an options page the code is never loaded. If code is loaded, but not used it's going to use server resources for no gain.

I've added seven replacement functions below for colours (css files) and image sets. If your Stallion Child Theme only replaces or adds CSS files and/or images you'll probably not have to create or edit any Child Theme Replacement Functions below since all css and image relevant replacement functions already exist below and they've been included in Stallion. There's 4 further functions related to passing child theme options to the "Stallion SEO Posts Widget" and the "Stallion Layout and Colour Scheme Options" meta box.

*/
?>
<?php
# st_sidebar_lo - Layout Options - Sidebar Layout
function stct_sidebar_lo() {
if(stchild_sidebar_lo()!='stdefaults' && file_exists(STYLESHEETPATH . '/colors/style-'. stchild_sidebar_lo() .'.css')
){
$stchildsetting = stchild_sidebar_lo();
} else {
$stchildsetting = st_sidebar_lo();
}
return $stchildsetting;
}
?>
<?php
# st_themecolor - Colours Options - Stallion Theme Colour Scheme
function stct_themecolor() {
if(stchild_themecolor()!='stdefaults' && file_exists(STYLESHEETPATH . '/colors/style-'. stchild_themecolor() .'.css')
){
$stchildsetting = stchild_themecolor();
} else {
$stchildsetting = st_themecolor();
}
return $stchildsetting;
}
?>
<?php
# st_header_bg_img - Colours Options - Original Stallion Header Area Header Image
function stct_header_bg_img() {
if(stchild_header_bg_img()!='stdefaults' && file_exists(STYLESHEETPATH . '/headers/'. stchild_header_bg_img() .'')
){
$stchildsetting = stchild_header_bg_img();
} else {
$stchildsetting = st_header_bg_img();
}
return $stchildsetting;
}
?>
<?php
# st_header_2011_images - Colours Options - Stallion 2011 Header Image Sets
function stct_header_2011_images() {
if(stchild_header_2011_images()!='stdefaults' && file_exists(STYLESHEETPATH . '/headers/'.stchild_header_2011_images().'/image-01.jpg')
){
$stchildsetting = stchild_header_2011_images();
} else {
$stchildsetting = st_header_2011_images();
}
return $stchildsetting;
}
?>
<?php
# st_thumb200_set - Colours Options - Thumbnail Set
function stct_thumb200_set() {
if(stchild_thumb200_set()!='stdefaults' && file_exists(STYLESHEETPATH . '/thumbnails/'.stchild_thumb200_set().'/200/1.jpg')
){
$stchildsetting = stchild_thumb200_set();
} else {
$stchildsetting = st_thumb200_set();
}
return $stchildsetting;
}
?>
<?php
# st_banners_set - Colours Options - Top Banner Set
function stct_banners_set() {
if(stchild_banners_set()!='stdefaults' && file_exists(STYLESHEETPATH . '/landscape/'.stchild_banners_set().'/landscape-1.jpg')
){
$stchildsetting = stchild_banners_set();
} else {
$stchildsetting = st_banners_set();
}
return $stchildsetting;
}
?>
<?php
# st_banners_set_mid - Colours Options - Middle Banner Set
function stct_banners_set_mid() {
if(stchild_banners_set_mid()!='stdefaults' && file_exists(STYLESHEETPATH . '/landscape/'.stchild_banners_set_mid().'/landscape-1.jpg')
){
$stchildsetting = stchild_banners_set_mid();
} else {
$stchildsetting = st_banners_set_mid();
}
return $stchildsetting;
}
?>
<?php # Stallion Layout and Colour Scheme Options Meta Box - Layout Options
/* This function passes the Child Layout Scheme settings to the Stallion Colour Settings on Post and Page edit screens. On the left we have the Layout Name "Example Layout" and on the right the corresponding option "example-st".

Basically a copy of the settings added to "Child Layout" in code part ONE "|example-st|Example Layout"

If you don't add the info below, on Post and Page Edit screens you won't have access to the child layouts and users will only have access to Stallion core layouts.
*/
function stc_child_layout() {
$stch_layout1 = array(
array( 'name' => 'Example Layout', 'value' => 'example-st', ),
#array( 'name' => 'Example Layout 2', 'value' => 'example-st2', ),
);
return $stch_layout1;
}
?>
<?php # Stallion Layout and Colour Scheme Options Meta Box - Colour Options
/* This function passes the Child Colour Scheme settings to the Stallion Colour Settings on Post and Page edit screens. On the left we have the Colour Scheme Name "Example Colour" and on the right the corresponding option "example-st".

Basically a copy of the settings added to "Child Colour Schemes" in code part ONE "|example-st|Example Colour"

If you don't add the info below, on Post and Page Edit screens you won't have access to the child colour schemes and users will only have access to Stallion core colours.
*/
function stc_child_colours() {
$stch_colours1 = array(
array( 'name' => 'Example Colour', 'value' => 'example-st', ),
array( 'name' => 'Business', 'value' => 'business-st', ),
);
return $stch_colours1;
}
?>
<?php # Stallion Layout and Colour Scheme Options Meta Box - Stallion Original Header Options
/* This function passes the Child Original Header settings to the Original Header Settings on Post and Page edit screens. On the left we have the Original Header Name "Example Header" and on the right the corresponding option "example-st.jpg".

Basically a copy of the settings added to "Child Original Stallion Header Area Header Image" in code part ONE "|example-st.jpg|Example Colour"

If you don't add the info below, on Post and Page Edit screens you won't have access to the child Original Stallion Header Area Header Images and users will only have access to Stallion core headers.
*/
function stc_child_stheader() {
$stch_stheader1 = array(
array( 'name' => 'Example Header', 'value' => 'example-st.jpg', ),
array( 'name' => 'Business 1', 'value' => 'business1-st.jpg', ),
array( 'name' => 'Business 2', 'value' => 'business2-st.jpg', ),
array( 'name' => 'Business 3', 'value' => 'business3-st.jpg', ),
array( 'name' => 'Business 4', 'value' => 'business4-st.jpg', ),
array( 'name' => 'Business 5', 'value' => 'business5-st.jpg', ),
);
return $stch_stheader1;
}
?>
<?php # Stallion Layout and Colour Scheme Options Meta Box - Stallion 2011 Header Set Options
/* This function passes the Child 2011 Header settings to the 2011 Header Settings on Post and Page edit screens. On the left we have the 2011 Header Name "Example Header Set" and on the right the corresponding option "example-st".

Basically a copy of the settings added to "Child 2011 Header Images" in code part ONE "|example-st|Example Header Set"

If you don't add the info below, on Post and Page Edit screens you won't have access to the child header images and users will only have access to Stallion core headers.
*/
function stc_child_2011header() {
$stch_2011header1 = array(
array( 'name' => 'Example Header Set', 'value' => 'example-st', ),
array( 'name' => 'Business', 'value' => 'business-st', ),
);
return $stch_2011header1;
}
?>
<?php # Stallion Layout and Colour Scheme Options Meta Box - Stallion Top Banner Set Options
/* This function passes the Child Top Banner Set settings to the Top Banner Set Settings on Post and Page edit screens. On the left we have the Top Banner Set Name "Example Banner Set" and on the right the corresponding option "example-st".

Basically a copy of the settings added to "Child Top Banner Set" in code part ONE "|example-st|Example Banner Set"

If you don't add the info below, on Post and Page Edit screens you won't have access to the child Top Banner images and users will only have access to Stallion core Top Banners.
*/
function stc_child_topbanners() {
$stch_topbanners1 = array(
array( 'name' => 'Example Banner Set', 'value' => 'example-st', ),
array( 'name' => 'Business', 'value' => 'business-st', ),
);
return $stch_topbanners1;
}
?>
<?php # Stallion SEO Posts Widgets Child Theme Thumbnail List
/* This function passes the thumbnail sets to the Stallion SEO Posts Widget via an array. On the left we have the directory name "foldername1" (where the thumbnails are under /child-theme-directory/thumbnails/example-st/) and on the right the name of the thumbnail set "Example Thumbnail Set".

Basically a copy of the settings added to "Thumbnail Set" in code part ONE "|example-st|Example Thumbnail Set"

If you don't add the thumbnail info below your Stallion SEO Posts Widgets won't have access to the child thumbnails and users will only have access to Stallion core thumbnails.
*/
function stc_child_thumbs() {
$stch_thumbset1 = array(
"example-st" => "Example Thumbnail Set"
,"business-st" => "Business"
#,"foldername2" => "Thumbnail Set Name 2"
);
return $stch_thumbset1;
}
?>